name: Build-Test-Publish
run-name: ${{ gitea.actor }} is building, testing and publishing Simple Object Storage
on: [push]

jobs:
  Build:
    runs-on: ubuntu-latest
    container:
      image: gitea.jde.nz/public/cppbuilder:latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Build and Test the x86 version of the project
        run: |
          ./test-docker.sh
      - name: Build cross-platform versions (amd64 and arm64)
        run: |
          ./build.sh all
      - name: Build and Push amd64 + arm64 Docker image to the registry
        run: |
          ./.runner/publish.sh


